package gov.va.med.cds.template.generated.surveys;

import java.util.Date;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CensusMasterIngest", propOrder = {
		  
		})
public class CensusMasterIngest {
	
	
	private String templateId;
	private Long censusMasterId;
	private Long censusSegmentId;
	private String vendorName;
	private String vendorFacility;
	private Integer censusExpectedCount;
	private Integer censusReceivedCount;
	private Integer currentSegmentNo;
	private Date reportStartDatetime;
	private String ingestStatus;
	private String currentSegmentProcessStatus;
	private String segmentDatetime;
	private List<CensusMasterSegment> censusMasterSegments;
	protected Long id;
	

	public String getTemplateId(){
		return templateId;
	}

	public void setTemplateId(String templateId){
		this.templateId = templateId;
	}
	
	public Long getCensusMasterId() {
		return censusMasterId;
	}

	public void setCensusMasterId(Long censusMasterId) {
		this.censusMasterId = censusMasterId;
	}

	public Long getCensusMasterSegmentId() {
		return censusSegmentId;
	}

	public void setCensusSegmentId(Long censusSegmentId) {
		this.censusSegmentId = censusSegmentId;
	}

	public String getVendorName() {
		return vendorName;
	}
	
	public void setVendorName(String vendorName) {
		this.vendorName = vendorName;
	}

	public String getVendorFacility() {
		return vendorFacility;
	}
	
	public void setVendorFacility(String vendorFacility) {
		this.vendorFacility = vendorFacility;
	}

	public Integer getCensusExpectedCount() {
		return censusExpectedCount;
	}

	public void setCensusExpectedCount(Integer censusExpectedCount) {
		this.censusExpectedCount = censusExpectedCount;
	}

	public Integer getCensusReceivedCount() {
		return censusReceivedCount;
	}

	public void setCensusReceivedCount(Integer censusReceivedCount) {
		this.censusReceivedCount = censusReceivedCount;
	}

	public Integer getCurrentSegmentNo() {
		return currentSegmentNo;
	}

	public void setCurrentSegmentNo(Integer currentSegmentNo) {
		this.currentSegmentNo = currentSegmentNo;
	}

	public Date getReportStartDatetime() {
		return reportStartDatetime;
	}


	public void setReportStartDatetime(Date reportStartDatetime) {
		this.reportStartDatetime = reportStartDatetime;
	}


	public String getIngestStatus() {
		return ingestStatus;
	}


	public void setIngestStatus(String ingestStatus) {
		this.ingestStatus = ingestStatus;
	}
	
	public List<CensusMasterSegment> getCensusMasterSegments() {
		return censusMasterSegments;
	}


	public String getCurrentSegmentProcessStatus() {
		return currentSegmentProcessStatus;
	}

	public void setCurrentSegmentProcessStatus(String currentSegmentProcessStatus) {
		this.currentSegmentProcessStatus = currentSegmentProcessStatus;
	}

	public String getSegmentDatetime() {
		return segmentDatetime;
	}

	public void setSegmentDatetime(String segmentDatetime) {
		this.segmentDatetime = segmentDatetime;
	}

	public void setCensusMasterSegments(
			List<CensusMasterSegment> censusMasterSegments) {
		this.censusMasterSegments = censusMasterSegments;
	}
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

}
